App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | List of all members
mhr.appcore.image.layers.LayerPDInfo Class Reference

Platformě závislá reprezentace vrstvy, spočívá v použití platformě závislých bitmap pro náhledy. More...

## Public Member Functions
| LayerPDInfo (PDImageDataPresentation owner) throws NullPointerException
| Defaultní konstruktor, vlastník musí být určen.
PDBitmap | getLayerThumb (boolean createIfNotExist)
PDBitmap | getMaskThumb (boolean createIfNotExist)
| Vrátí bitmapu pro náhled masky, paramter udává, jestli se má vytvořit, pokud neexistuje.

## Public Attributes
int | id
| Id vrstvy, kterou představuje.
LayerType | type
| Typ vrstvy, kterou představuje.
double | opacity
| Průhlednost vrstvy z intervalu 0..1.
boolean | visible
| Udává, jeslti je vrstva viditelná.
boolean | maskActive
| Udává, jeslti je maska vrstvy aktivní.
volatile boolean | isChanged
| Flag, který udává, jeslti došlo na vrstvě k nějaké změně, která vyžaduje detailní zpracování.
LayerSpecificPresentation | extra
| Data specifická pro danoý typ vrstyv, který info popisuje.

## Protected Attributes
PDImageDataPresentation | owner
| Prezentace, která je asociována s vrstvou.
PDBitmap | layerThumb
| Náhled vrstvy, pokud je použitelný.
PDBitmap | maskThumb
| Náhled masky vrstvy, pokud je použitelný.

## Detailed Description

Platformě závislá reprezentace vrstvy, spočívá v použití platformě závislých bitmap pro náhledy.

Definition at line 9 of file LayerPDInfo.java.

## Constructor & Destructor Documentation

mhr.appcore.image.layers.LayerPDInfo.LayerPDInfo | ( | PDImageDataPresentation | owner | ) | throws NullPointerException
| inline

Defaultní konstruktor, vlastník musí být určen.

Parameters

  owner |

Exceptions

  NullPointerException |

Definition at line 37 of file LayerPDInfo.java.

{
if (owner == null) {
throw new NullPointerException("Owner must not be null");
}
this.owner = owner;
}

## Member Function Documentation

PDBitmap mhr.appcore.image.layers.LayerPDInfo.getLayerThumb | ( | boolean | createIfNotExist | ) |
| inline

Vrátí bitmapu pro náhled vrstvy, paramter udává, jestli se má vytvořit, pokud neexistuje.

Parameters

  createIfNotExist |

Returns

Definition at line 54 of file LayerPDInfo.java.

{
if (createIfNotExist && layerThumb == null) {
layerThumb = owner.createLayerThumb();
}
return layerThumb;
}

PDBitmap mhr.appcore.image.layers.LayerPDInfo.getMaskThumb | ( | boolean | createIfNotExist | ) |
| inline

Vrátí bitmapu pro náhled masky, paramter udává, jestli se má vytvořit, pokud neexistuje.

Parameters

  createIfNotExist |

Returns

Definition at line 66 of file LayerPDInfo.java.

{
if (createIfNotExist && maskThumb == null) {
maskThumb = owner.createMaskThumb();
}
return maskThumb;
}

## Member Data Documentation

LayerSpecificPresentation mhr.appcore.image.layers.LayerPDInfo.extra

Data specifická pro danoý typ vrstyv, který info popisuje.

Definition at line 27 of file LayerPDInfo.java.

int mhr.appcore.image.layers.LayerPDInfo.id

Id vrstvy, kterou představuje.

Definition at line 21 of file LayerPDInfo.java.

volatile boolean mhr.appcore.image.layers.LayerPDInfo.isChanged

Flag, který udává, jeslti došlo na vrstvě k nějaké změně, která vyžaduje detailní zpracování.

Definition at line 26 of file LayerPDInfo.java.

PDBitmap mhr.appcore.image.layers.LayerPDInfo.layerThumb
| protected

Náhled vrstvy, pokud je použitelný.

Definition at line 18 of file LayerPDInfo.java.

boolean mhr.appcore.image.layers.LayerPDInfo.maskActive

Udává, jeslti je maska vrstvy aktivní.

Definition at line 25 of file LayerPDInfo.java.

PDBitmap mhr.appcore.image.layers.LayerPDInfo.maskThumb
| protected

Náhled masky vrstvy, pokud je použitelný.

Definition at line 19 of file LayerPDInfo.java.

double mhr.appcore.image.layers.LayerPDInfo.opacity

Průhlednost vrstvy z intervalu 0..1.

Definition at line 23 of file LayerPDInfo.java.

PDImageDataPresentation mhr.appcore.image.layers.LayerPDInfo.owner
| protected

Prezentace, která je asociována s vrstvou.

Definition at line 17 of file LayerPDInfo.java.

LayerType mhr.appcore.image.layers.LayerPDInfo.type

Typ vrstvy, kterou představuje.

Definition at line 22 of file LayerPDInfo.java.

boolean mhr.appcore.image.layers.LayerPDInfo.visible

Udává, jeslti je vrstva viditelná.

Definition at line 24 of file LayerPDInfo.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/image/layers/LayerPDInfo.java